PYDF(1)

NAME
pydf - report colourised filesystem disk space usage

SYNOPSIS
pydf [options] [file]

DESCRIPTION
pydf is a python script that displays the amount of disk space available on the mounted filesystems, using different colours for different types of filesystems. Output format is completely customizable.

If an optional
    file argument is given, pydf displays just information about filesystem containing the file(s), otherwise it displays information about all mounted filesystems.

OPTIONS

--help
    Show summary of options.

-v, --version
    Show version of program.

-a, --all
    include filesystems having 0 blocks

-h, --human-readable
    print sizes in human readable format (e.g., 133K 2341M 2448G)

-H, --si
    likewise, but use powers of 1000 not 1024

--block-size=SIZE
    use SIZE-byte blocks

-k, --kilobytes
    like --block-size=1024

-i, --inodes
    show information about inodes instead of blocks

-l, --local
    limit listing to local filesystems

-m, --megabytes
    like --block-size=1048576

-g, --gigabytes
    like --block-size=1073741824

--blocks
    use filesystem native block size

--bw
    do not use colours

--mounts=FILE
    file to get mount information from. On normal linux system, only /etc/mtab or /proc/mounts make sense. Use /proc/mounts when /etc/mtab is corrupted or inaccessible (the output looks a bit weird in this case though)

-B, --show-binds
    Show also mount --bind mounted filesystems.

-S, --scale-bars
    Show bar sizes scaled to the largest filesystem size

BUGS
POSIX mandates to have f_blocks and f_bfree to be the number in units of f_frsize. However, many programs are buggy, including df(1) from coreutils, and Linux kernel often lies and reports f_frsize == f_bsize. Some filesystem and some other operating systems don't, and then the size reported by pydf is incorrect. As a stopgap measure, there is a parameter statvfs_block in /etc/pydfrc where you can force f_frsize or f_bsize.

FILES

/etc/pydfrc
    main configuration file

~/.pydfrc
    per-user configuration file

SEE ALSO
df(1)

AUTHOR
Radovan Garabík <garabik@kassiopeia.juls.savba.sk>